Retrieve lineage in OpenLineage format
GET https://{controlplane_path}/api/1/rest/public/catalog/{env_org}/lineage
Retrieve data lineage for all pipelines executed in the
environment.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
env_org |
Required. The name of the SnapLogic environment/Org. For example,
My-Dev-Env |
Query parameters
| Parameter | Description | Required |
|---|---|---|
start_ts |
An integer specifying the start time in milliseconds. | No |
end_ts |
An integer specifying the end time in milliseconds. | No |
page |
An integer specifying the page of results to return. | No |
format |
The value OPENLINEAGE returns results in
OpenLineage format. |
Yes |
The value OPENLINEAGE_SUMMARY returns the
OpenLineage summary. |
Yes |
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Response
Code 200 OK where: size: The number of lineage objects returned.page: The current page of results.content: Each JSON object contains the data lineage for a pipeline in the OpenLineage Object Model.
{
"size": 0,
"page": 0,
"content":
[
json1, json2, json3
]
}
Example in OpenLineage format
Assuming a request as follows with env_org
DEV on the dev elastic control plane:
https://elastic.snaplogicdev.com/api/1/rest/public/catalog/DEV/lineage?format=OPENLINEAGE
Note in the example results:
- The
producerfield includes the pipeline ID. - The
producerand_producerfields provide a clickable link to open the pipeline in Designer. - The
parentfacet provides information about the pipeline run.
{
"eventTime": "2025-07-12T00:15:31.791Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=667ef0892017253a43e3e0c6",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "e0236c0d-0b95-387f-80ad-c0bb81788346",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=667ef0892017253a43e3e0c6",
"job": {
"namespace": "SnapLogic",
"name": "snowflake_select_mapper_join_insert_pipe_8"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "56d2e9df-6806-4371-9288-86796e7626b8"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "snowflake_select_mapper_join_insert_pipe_8:Snowflake - Select 03:05c6ab81-38a6-4696-b070-b17798536c57"
},
"inputs": [
{
"namespace": "snowflake://snaplogic",
"name": "BIGDATAQA.TEST_DATA.SRC_OPEN_METADATA_100_ROWS_PART2",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=667ef0892017253a43e3e0c6",
"fields": [
{
"name": "APP_INT",
"type": "VARCHAR",
"description": ""
},
{
"name": "BUIL_DOUBLE",
"type": "VARCHAR",
"description": ""
},
{
"name": "CUSTOMER_ID",
"type": "VARCHAR",
"description": ""
},
{
"name": "ZIP",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Snowflake - Select 03:05c6a",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=667ef0892017253a43e3e0c6",
"fields": [
{
"name": "APP_INT",
"type": "VARCHAR",
"description": ""
},
{
"name": "BUIL_DOUBLE",
"type": "VARCHAR",
"description": ""
},
{
"name": "CUSTOMER_ID",
"type": "VARCHAR",
"description": ""
},
{
"name": "ZIP",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=667ef0892017253a43e3e0c6",
"fields": {
"ZIP": {
"inputFields": [
{
"field": "ZIP",
"name": "BIGDATAQA.TEST_DATA.SRC_OPEN_METADATA_100_ROWS_PART2",
"namespace": "snowflake://snaplogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"CUSTOMER_ID": {
"inputFields": [
{
"field": "CUSTOMER_ID",
"name": "BIGDATAQA.TEST_DATA.SRC_OPEN_METADATA_100_ROWS_PART2",
"namespace": "snowflake://snaplogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"BUIL_DOUBLE": {
"inputFields": [
{
"field": "BUIL_DOUBLE",
"name": "BIGDATAQA.TEST_DATA.SRC_OPEN_METADATA_100_ROWS_PART2",
"namespace": "snowflake://snaplogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"APP_INT": {
"inputFields": [
{
"field": "APP_INT",
"name": "BIGDATAQA.TEST_DATA.SRC_OPEN_METADATA_100_ROWS_PART2",
"namespace": "snowflake://snaplogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
}
Example in OpenLineage Summary format
Assuming a request as follows with env_org
DEV on the dev elastic control plane:
https://elastic.snaplogicdev.com/api/1/rest/public/catalog/DEV/lineage?format=OPENLINEAGE_SUMMARY
{
"size": 1,
"page": 0,
"content": [
{
"eventTime": "2025-12-03T14:35:35.710Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68b75dbac33de1c7121bf1ed",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "45a72c37-c38d-4956-af34-2f5018f6acff"
},
"job": {
"namespace": "SnapLogic",
"name": "Test"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-11-04T16:37:55.051Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68c8989bfb354cc37c0c8c8d",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "fc22ec7e-8660-49e6-a251-afde82d93033"
},
"job": {
"namespace": "SnapLogic",
"name": "JSON --> table"
},
"inputs": [
{
"namespace": "snowflake://snaplogic",
"name": "QA.ADM_DEMO.FLAT_TO_JSON2",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68c8989bfb354cc37c0c8c8d",
"fields": [
{
"name": "users",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "snowflake://snaplogic",
"name": "QA.ADM_DEMO.JSON_FLATTENER2",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68c8989bfb354cc37c0c8c8d",
"fields": [
{
"name": "Fullname",
"type": "VARCHAR",
"description": ""
},
{
"name": "lastLogin",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"attributeLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68c8989bfb354cc37c0c8c8d",
"fields": [
{
"inputAttribute": "users.info.fnameLastName",
"inputColumn": "users",
"inputDataset": "QA.ADM_DEMO.FLAT_TO_JSON2",
"inputNamespace": "snowflake://snaplogic",
"outputAttribute": "Fullname",
"outputColumn": "Fullname",
"outputDataset": "QA.ADM_DEMO.JSON_FLATTENER2",
"outputNamespace": "snowflake://snaplogic"
},
{
"inputAttribute": "users.info.lname",
"inputColumn": "users",
"inputDataset": "QA.ADM_DEMO.FLAT_TO_JSON2",
"inputNamespace": "snowflake://snaplogic",
"outputAttribute": "LastName",
"outputColumn": "LastName",
"outputDataset": "VIRTUAL_DB.VIRTUAL_SCHEMA.Mapper1:33d51",
"outputNamespace": "SnapLogic::VIRTUAL_DB.VIRTUAL_SCHEMA.Mapper1:33d51"
},
{
"inputAttribute": "users.activity.last_logged_in_ts",
"inputColumn": "users",
"inputDataset": "QA.ADM_DEMO.FLAT_TO_JSON2",
"inputNamespace": "snowflake://snaplogic",
"outputAttribute": "lastLogin",
"outputColumn": "lastLogin",
"outputDataset": "QA.ADM_DEMO.JSON_FLATTENER2",
"outputNamespace": "snowflake://snaplogic"
}
],
"_schemaURL": "https://snaplogic.com/TBD"
}
}
}
]
}